Bug 1238691 - Failed to pass stage of storage domain name
Summary: Failed to pass stage of storage domain name
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-hosted-engine-setup
Version: 3.5.4
Hardware: x86_64
OS: Linux
urgent
urgent
Target Milestone: ---
: 3.5.4
Assignee: Sandro Bonazzola
QA Contact: Artyom
URL:
Whiteboard: integration
Depends On:
Blocks: 1234795
TreeView+ depends on / blocked
 
Reported: 2015-07-02 12:22 UTC by rhev-integ
Modified: 2015-09-04 12:50 UTC (History)
6 users (show)

Fixed In Version: ovirt-hosted-engine-setup-1.2.5.1-1
Doc Type: Bug Fix
Doc Text:
Clone Of: 1238668
Environment:
Last Closed: 2015-09-04 12:50:15 UTC
oVirt Team: ---
Target Upstream Version:
ylavi: Triaged+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 43147 ovirt-hosted-engine-setup-1.2 MERGED pakaging: setup: add return value to function _validName Never

Description rhev-integ 2015-07-02 12:22:46 UTC
+++ This bug is a RHEV-M zstream clone. The original bug is: +++
+++   https://bugzilla.redhat.com/show_bug.cgi?id=1238668. +++
+++ Requested by "sbonazzo@redhat.com" +++
======================================================================



----------------------------------------------------------------------
Following comment by alukiano@redhat.com on July 02 at 11:25:10, 2015

Description of problem:
Run hosted-engine --deploy on NFS storage, continue until you need to enter storage domain name, stage stuck no matter what input you give.
Please provide storage domain name. [hosted_storage]: 
          Storage domain name cannot be empty. It can only consist of alphanumeric characters (that is, letters, numbers, and signs "-" and "_"). All other characters are not valid in the name.
          Please provide storage domain name. [hosted_storage]: hosted_storage
          Storage domain name cannot be empty. It can only consist of alphanumeric characters (that is, letters, numbers, and signs "-" and "_"). All other characters are not valid in the name.

Version-Release number of selected component (if applicable):
ovirt-hosted-engine-setup-1.2.5-1.el7ev.noarch

How reproducible:
Always

Steps to Reproduce:
1. See above
2.
3.

Actual results:
Deployment can not pass stage of storage domain name

Expected results:
Deployment must pass stage of storage domain name if name is correct and continue deployment

Additional info:

----------------------------------------------------------------------
Following comment by sbonazzo@redhat.com on July 02 at 11:57:28, 2015

According to Artyom the bug affects 3.5.4 only, 3.6 is safe. So marking this as testonly for 3.6.

Comment 2 Artyom 2015-07-06 11:30:47 UTC
Verified on ovirt-hosted-engine-setup-1.2.5.1-1.el7ev.noarch
Deployment success to pass.


Note You need to log in before you can comment on or make changes to this bug.